Bug 153051 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 23:27 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 10:42:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix the warnings (28.71 KB, patch)
2005-03-31 23:56 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 23:27:16 EST
Description of problem:

/usr/share/system-config-samba/sambaUserWin.py:46: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.samba_user_win.set_modal(gtk.TRUE)
/usr/share/system-config-samba/sambaUserWin.py:60: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.user_view.set_rules_hint(gtk.TRUE)
/usr/share/system-config-samba/sambaUserWin.py:67: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.user_view.set_headers_visible(gtk.FALSE)
/usr/share/system-config-samba/basicPreferencesWin.py:46: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.basic_preferences_win.set_modal(gtk.TRUE)
/usr/share/system-config-samba/shareWindow.py:47: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.share_window.set_modal(gtk.TRUE)
/usr/share/system-config-samba/shareWindow.py:82: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_clickable(gtk.TRUE)
/usr/share/system-config-samba/mainWindow.py:94: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.toplevel_vbox = gtk.VBox(gtk.FALSE)
/usr/share/system-config-samba/mainWindow.py:98: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  self.share_view.set_rules_hint(gtk.TRUE)
/usr/share/system-config-samba/mainWindow.py:223: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.properties_button.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/mainWindow.py:224: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.delete_button.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/mainWindow.py:225: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.propertiesMenu.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/mainWindow.py:226: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.deleteMenu.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/mainWindow.py:229: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.toplevel_vbox.pack_start(self.share_view_sw, gtk.TRUE)
/usr/share/system-config-samba/basicPreferencesWin.py:281:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.auth_server_entry.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/basicPreferencesWin.py:282:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.ads_realm_entry.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/basicPreferencesWin.py:289:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.encrypt_option_menu.set_sensitive(gtk.TRUE)
/usr/share/system-config-samba/sambaUserWin.py:110: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.edit_button.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/sambaUserWin.py:111: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.delete_button.set_sensitive(gtk.FALSE)
/usr/share/system-config-samba/addUserWin.py:105: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.user_option_menu.set_sensitive(gtk.TRUE)
/usr/share/system-config-samba/shareWindow.py:211: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.writable_check.set_active (gtk.FALSE)
/usr/share/system-config-samba/shareWindow.py:212: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.visible_check.set_active (gtk.FALSE)
/usr/share/system-config-samba/shareWindow.py:213: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.user_access_radio.set_active (gtk.TRUE)


Version-Release number of selected component (if applicable):

1.2.28-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-03-31 23:56:10 EST
Created attachment 112561 [details]
patch to fix the warnings
Comment 2 Colin Charles 2005-03-31 23:56:44 EST
Fixes the warnings, apply, and rebuild thanks.
Comment 3 Nils Philippsen 2005-04-01 10:42:43 EST
Fixed in system-config-samba-1.2.29-1, thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.